net.sf.okapi.lib.xliff2.glossary

## Class Term

- java.lang.Object
- - net.sf.okapi.lib.xliff2.core.DataWithExtAttributes
  - - net.sf.okapi.lib.xliff2.glossary.Term

- All Implemented Interfaces:
    IWithExtAttributes

      public class Term
      extends DataWithExtAttributes

  Represents the <term> element Glossary module.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Term(java.lang.String text)` Creates a `Term` object with a given text.
    `Term(Term original)` Copy constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getSource()` Gets the source of this field.
    `java.lang.String` | `getText()` Get the text of this field.
    `void` | `setSource(java.lang.String source)` sets the source of this field.
    `void` | `setText(java.lang.String text)` Sets the text of this field.

    - ### Methods inherited from class net.sf.okapi.lib.xliff2.core.DataWithExtAttributes

      `getExtAttributes, getExtAttributeValue, hasExtAttribute, setExtAttributes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Term

          public Term(java.lang.String text)

      Creates a `Term` object with a given text.
      Parameters:
        `text` - the text of the term.

    - #### Term

          public Term(Term original)

      Copy constructor.
      Parameters:
        `original` - the original object to duplicate.

  - ### Method Detail

    - #### getText

          public java.lang.String getText()

      Get the text of this field.
      Returns:
        the text of this field (can be null).

    - #### setText

          public void setText(java.lang.String text)

      Sets the text of this field.
      Parameters:
        `text` - the new text of this field (can be null).

    - #### getSource

          public java.lang.String getSource()

      Gets the source of this field.
      Returns:
        the source of this field (can be null).

    - #### setSource

          public void setSource(java.lang.String source)

      sets the source of this field.
      Parameters:
        `source` - the new source of this field (can be null).